<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>＠his-view/template documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	   <link rel="stylesheet" href="../styles/style.css">
        <link rel="stylesheet" href="../styles/dark.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top d-block d-sm-none">
            <a href="../" class="navbar-brand">＠his-view/template documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li class="breadcrumb-item">Components</li>
  <li class="breadcrumb-item"
  >
  AppStoreDocumentComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="nav-item">
            <a href="#info" class="nav-link active"
                role="tab" id="info-tab" data-bs-toggle="tab" data-link="info">Info</a>
        </li>
        <li class="nav-item">
            <a href="#source" class="nav-link"
                role="tab" id="source-tab" data-bs-toggle="tab" data-link="source">Source</a>
        </li>
        <li class="nav-item">
            <a href="#templateData" class="nav-link"
                role="tab" id="templateData-tab" data-bs-toggle="tab" data-link="template">Template</a>
        </li>
        <li class="nav-item">
            <a href="#styleData" class="nav-link"
                role="tab" id="styleData-tab" data-bs-toggle="tab" data-link="style">Styles</a>
        </li>
        <li class="nav-item">
            <a href="#tree" class="nav-link"
                role="tab" id="tree-tab" data-bs-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/app-store-editor-document/app-store-editor-document.component.ts</code>
</p>






<section data-compodoc="block-metadata">
    <h3>Metadata</h3>
    <table class="table table-sm table-hover metadata">
        <tbody>












            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>his-app-store-editor-document</code></td>
            </tr>

            <tr>
                <td class="col-md-3">Standalone</td>
                <td class="col-md-9"><code>true</code></td>
            </tr>

            <tr>
                <td class="col-md-3">imports</td>
                <td class="col-md-9">
                            <code>CommonModule</code>
                                <code><a href="../miscellaneous/variables.html#primeGroup" target="_self" >primeGroup</a></code>
                            <code>FormsModule</code>
                </td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./app-store-editor-document.component.scss</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./app-store-editor-document.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section data-compodoc="block-index">
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#dialogVisible" >dialogVisible</a>
                            </li>
                            <li>
                                <a href="#imagePaths" >imagePaths</a>
                            </li>
                            <li>
                                <a href="#programs" >programs</a>
                            </li>
                            <li>
                                <a href="#selectedIcon" >selectedIcon</a>
                            </li>
                            <li>
                                <a href="#systemUsers" >systemUsers</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#onCancelClick" >onCancelClick</a>
                            </li>
                            <li>
                                <a href="#onIconClick" >onIconClick</a>
                            </li>
                            <li>
                                <a href="#onIconSelect" >onIconSelect</a>
                            </li>
                            <li>
                                <a href="#onOkClick" >onOkClick</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Inputs</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#appStore" >appStore</a>
                            </li>
                        </ul>
                    </td>
                </tr>




                    <tr>
                        <td class="col-md-4">
                            <h6><b>Accessors</b></h6>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <ul class="index-list">
                                <li>
                                    <a href="#dialogStyle" >dialogStyle</a>
                                </li>
                            </ul>
                        </td>
                    </tr>
        </tbody>
    </table>
</section>


    <section data-compodoc="block-inputs">
    <h3 id="inputs">Inputs</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="appStore"></a>
                        <b>appStore</b>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>    <code>WritableSignal&lt;AppStore&gt;</code>

                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="23" class="link-to-prism">src/app/app-store-editor-document/app-store-editor-document.component.ts:23</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
</section>



    <section data-compodoc="block-methods">
    
    <h3 id="methods">
        Methods
    </h3>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="onCancelClick"></a>
                    <span class="name">
                        <span ><b>onCancelClick</b></span>
                        <a href="#onCancelClick"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>onCancelClick()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="64"
                            class="link-to-prism">src/app/app-store-editor-document/app-store-editor-document.component.ts:64</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-description"><p>按下取消鈕</p>
</div>

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="onIconClick"></a>
                    <span class="name">
                        <span ><b>onIconClick</b></span>
                        <a href="#onIconClick"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>onIconClick()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="36"
                            class="link-to-prism">src/app/app-store-editor-document/app-store-editor-document.component.ts:36</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-description"><p>點擊圖片</p>
</div>

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="onIconSelect"></a>
                    <span class="name">
                        <span ><b>onIconSelect</b></span>
                        <a href="#onIconSelect"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>onIconSelect(selectedIcon: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank">string</a>)</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="45"
                            class="link-to-prism">src/app/app-store-editor-document/app-store-editor-document.component.ts:45</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-description"><p>選取圖片</p>
</div>

                    <div class="io-description">
                        <b>Parameters :</b>
                        
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Type</td>
                                    <td>Optional</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>selectedIcon</td>
                                    <td>
                                                <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
                                    </td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                    <div class="io-description">
                        
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="onOkClick"></a>
                    <span class="name">
                        <span ><b>onOkClick</b></span>
                        <a href="#onOkClick"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>onOkClick()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="54"
                            class="link-to-prism">src/app/app-store-editor-document/app-store-editor-document.component.ts:54</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-description"><p>按下確認鈕</p>
</div>

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</section>
    <section data-compodoc="block-properties">
    
    <h3 id="inputs">
        Properties
    </h3>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="dialogVisible"></a>
                    <span class="name">
                        <span ><b>dialogVisible</b></span>
                        <a href="#dialogVisible"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>

                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Default value : </i><code>false</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="30" class="link-to-prism">src/app/app-store-editor-document/app-store-editor-document.component.ts:30</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="imagePaths"></a>
                    <span class="name">
                        <span ><b>imagePaths</b></span>
                        <a href="#imagePaths"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>    <code>[]</code>

                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Default value : </i><code>[&#x27;/assets/image/image1.png&#x27;, &#x27;/assets/image/image2.png&#x27;, &#x27;/assets/image/image3.png&#x27;, &#x27;/assets/image/image4.png&#x27;, &#x27;/assets/image/image5.png&#x27;, &#x27;/assets/image/image6.png&#x27;, &#x27;/assets/image/image7.png&#x27;, &#x27;/assets/image/image8.png&#x27;, &#x27;/assets/image/image9.png&#x27;]</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="26" class="link-to-prism">src/app/app-store-editor-document/app-store-editor-document.component.ts:26</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="programs"></a>
                    <span class="name">
                        <span ><b>programs</b></span>
                        <a href="#programs"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>    <code>[]</code>

                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Default value : </i><code>[&#x27;Angular&#x27;, &#x27;AngularJs&#x27;, &#x27;Python&#x27;, &#x27;Go&#x27;]</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="28" class="link-to-prism">src/app/app-store-editor-document/app-store-editor-document.component.ts:28</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="selectedIcon"></a>
                    <span class="name">
                        <span ><b>selectedIcon</b></span>
                        <a href="#selectedIcon"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Default value : </i><code>&#x27;/assets/image/image1.png&#x27;</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="25" class="link-to-prism">src/app/app-store-editor-document/app-store-editor-document.component.ts:25</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="systemUsers"></a>
                    <span class="name">
                        <span ><b>systemUsers</b></span>
                        <a href="#systemUsers"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>    <code>[]</code>

                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Default value : </i><code>[0, 1, 2, 3]</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="27" class="link-to-prism">src/app/app-store-editor-document/app-store-editor-document.component.ts:27</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
</section>

    <section data-compodoc="block-accessors">
    <h3 id="accessors">
        Accessors
    </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="dialogStyle"></a>
                        <span class="name"><b>dialogStyle</b><a href="#dialogStyle"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>dialogStyle()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="73" class="link-to-prism">src/app/app-store-editor-document/app-store-editor-document.component.ts:73</a></div>
                                </td>
                            </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-description"><p>彈窗樣式</p>
</div>

                                <div>
                                </div>
                        </td>
                    </tr>

            </tbody>
        </table>
</section>
</div>


    <div class="tab-pane fade  tab-source-code" id="source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, Input, WritableSignal } from &#x27;@angular/core&#x27;;
import { CommonModule } from &#x27;@angular/common&#x27;;
import { AppStore } from &#x27;@his-viewmodel/app-store/src&#x27;;
import { InputTextModule } from &#x27;primeng/inputtext&#x27;;
import { CheckboxModule } from &#x27;primeng/checkbox&#x27;;
import { DropdownModule } from &#x27;primeng/dropdown&#x27;;
import { FormsModule } from &#x27;@angular/forms&#x27;;
import { DividerModule } from &#x27;primeng/divider&#x27;;
import { TriStateCheckboxModule } from &#x27;primeng/tristatecheckbox&#x27;;
import { DialogModule } from &#x27;primeng/dialog&#x27;;
import { ButtonModule } from &#x27;primeng/button&#x27;;

const primeGroup &#x3D; [InputTextModule, CheckboxModule, DropdownModule, DialogModule, ButtonModule, DividerModule, TriStateCheckboxModule]
@Component({
  selector: &#x27;his-app-store-editor-document&#x27;,
  standalone: true,
  imports: [CommonModule, primeGroup, FormsModule],
  templateUrl: &#x27;./app-store-editor-document.component.html&#x27;,
  styleUrls: [&#x27;./app-store-editor-document.component.scss&#x27;]
})
export class AppStoreDocumentComponent {

  @Input() appStore!: WritableSignal&lt;AppStore&gt;;

  selectedIcon: string &#x3D; &#x27;/assets/image/image1.png&#x27;;
  imagePaths &#x3D; [&#x27;/assets/image/image1.png&#x27;, &#x27;/assets/image/image2.png&#x27;, &#x27;/assets/image/image3.png&#x27;, &#x27;/assets/image/image4.png&#x27;, &#x27;/assets/image/image5.png&#x27;, &#x27;/assets/image/image6.png&#x27;, &#x27;/assets/image/image7.png&#x27;, &#x27;/assets/image/image8.png&#x27;, &#x27;/assets/image/image9.png&#x27;];
  systemUsers &#x3D; [0, 1, 2, 3];
  programs &#x3D; [&#x27;Angular&#x27;, &#x27;AngularJs&#x27;, &#x27;Python&#x27;, &#x27;Go&#x27;];

  dialogVisible: boolean &#x3D; false;

  /**
   * 點擊圖片
   * @memberof App
   */
  onIconClick() {

    this.dialogVisible &#x3D; true;
  }

  /**
  * 選取圖片
  * @memberof App
  */
  onIconSelect(selectedIcon: string) {

    this.selectedIcon &#x3D; selectedIcon;
  }

  /**
   * 按下確認鈕
   * @memberof App
   */
  onOkClick() {

    this.appStore.mutate((x) &#x3D;&gt; x.icon &#x3D; this.selectedIcon);
    this.dialogVisible &#x3D; false;
  }

  /**
   * 按下取消鈕
   * @memberof App
   */
  onCancelClick() {

    this.dialogVisible &#x3D; false;
  }

  /**
   * 彈窗樣式
   * @memberof App
   */
  get dialogStyle() {

    return { width: &#x27;35vw&#x27;, height: &#x27;80vh&#x27; };
  }


}
</code></pre>
    </div>

    <div class="tab-pane fade " id="templateData">
        <pre class="line-numbers"><code class="language-html">&lt;div class&#x3D;&quot;left&quot;&gt;
  &lt;div class&#x3D;&quot;flex flex-column gap-2&quot;&gt;
    &lt;label i18n&gt;app ID&lt;/label&gt;
    &lt;input style&#x3D;&quot;width: 20vw&quot; pInputText id&#x3D;&quot;appId&quot; aria-describedby&#x3D;&quot;username-help&quot; [(ngModel)]&#x3D;&quot;appStore().appId&quot;
      disabled /&gt;
  &lt;/div&gt;
  &lt;div class&#x3D;&quot;flex flex-column gap-2&quot; style&#x3D;&quot;margin-top: 1.5rem;&quot;&gt;
    &lt;label i18n&gt;programing language&lt;/label&gt;
    &lt;p-dropdown [style]&#x3D;&quot;{width: &#x27;20vw&#x27;}&quot; id&#x3D;&quot;program&quot; aria-describedby&#x3D;&quot;username-help&quot; [(ngModel)]&#x3D;&quot;appStore().program&quot;
      [options]&#x3D;&quot;programs&quot; /&gt;
  &lt;/div&gt;
  &lt;div class&#x3D;&quot;flex flex-column gap-2&quot; style&#x3D;&quot;margin-top: 1.5rem;&quot;&gt;
    &lt;label i18n&gt;app version&lt;/label&gt;
    &lt;input style&#x3D;&quot;width: 20vw;&quot; pInputText id&#x3D;&quot;versionNo&quot; aria-describedby&#x3D;&quot;username-help&quot;
      [(ngModel)]&#x3D;&quot;appStore().versionNo&quot; /&gt;
  &lt;/div&gt;
&lt;/div&gt;

&lt;div class&#x3D;&quot;content&quot;&gt;
  &lt;div class&#x3D;&quot;flex flex-column gap-2&quot;&gt;
    &lt;label i18n&gt;application&lt;/label&gt;
    &lt;input style&#x3D;&quot;width: 40vw;&quot; pInputText id&#x3D;&quot;appName&quot; aria-describedby&#x3D;&quot;username-help&quot;
      [(ngModel)]&#x3D;&quot;appStore().appName&quot; /&gt;
  &lt;/div&gt;
  &lt;div class&#x3D;&quot;flex flex-column gap-2&quot; style&#x3D;&quot;margin-top: 1.5rem;&quot;&gt;
    &lt;label i18n&gt;url&lt;/label&gt;
    &lt;input style&#x3D;&quot;width: 40vw;&quot; pInputText id&#x3D;&quot;appUrl&quot; aria-describedby&#x3D;&quot;username-help&quot;
      [(ngModel)]&#x3D;&quot;appStore().appUrl&quot; /&gt;
  &lt;/div&gt;
  &lt;div class&#x3D;&quot;flex flex-column gap-2&quot; style&#x3D;&quot;margin-top: 1.5rem;&quot;&gt;
    &lt;label i18n&gt;mantainer&lt;/label&gt;
    &lt;div&gt;
      &lt;p-dropdown [style]&#x3D;&quot;{width: &#x27;20vw&#x27;}&quot; id&#x3D;&quot;systemUser&quot; aria-describedby&#x3D;&quot;username-help&quot;
        [(ngModel)]&#x3D;&quot;appStore().systemUser&quot; [options]&#x3D;&quot;systemUsers&quot;&gt;&lt;/p-dropdown&gt;
      &lt;p-triStateCheckbox [(ngModel)]&#x3D;&quot;appStore().isAuth&quot; inputId&#x3D;&quot;tricheckbox&quot;&gt;&lt;/p-triStateCheckbox&gt;
      &lt;span i18n&gt;need authorized&lt;/span&gt;
    &lt;/div&gt;
  &lt;/div&gt;
&lt;/div&gt;

&lt;div class&#x3D;&quot;right&quot; style&#x3D;&quot;margin-top: 1rem;&quot;&gt;
  &lt;img (click)&#x3D;&quot;onIconClick()&quot; [src]&#x3D;&quot;appStore().icon&quot; [style]&#x3D;&quot;{ width: &#x27;20vw&#x27;}&quot;&gt;
  &lt;p-dialog header&#x3D;&quot;Header&quot; [(visible)]&#x3D;&quot;dialogVisible&quot; [style]&#x3D;&quot;dialogStyle&quot;&gt;
    &lt;ng-template pTemplate&#x3D;&quot;header&quot;&gt;
      &lt;span class&#x3D;&quot;text-xl font-bold&quot;&gt;&lt;/span&gt;
    &lt;/ng-template&gt;
    &lt;div class&#x3D;&quot;grid-container&quot;&gt;
      &lt;ng-container class&#x3D;&quot;grid-item&quot; *ngFor&#x3D;&quot;let imagePath of imagePaths&quot;&gt;
        &lt;img [src]&#x3D;&quot;imagePath&quot; (click)&#x3D;&quot;onIconSelect(imagePath)&quot;&gt;
      &lt;/ng-container&gt;
    &lt;/div&gt;
    &lt;ng-template pTemplate&#x3D;&quot;footer&quot;&gt;
      &lt;p-divider&gt;&lt;/p-divider&gt;
      &lt;button pButton pRipple class&#x3D;&quot;cancel&quot; (click)&#x3D;&quot;onCancelClick()&quot; i18n-label label&#x3D;&quot;cancel&quot;&gt;&lt;/button&gt;
      &lt;button pButton pRipple (click)&#x3D;&quot;onOkClick()&quot; i18n-label label&#x3D;&quot;ok&quot; class&#x3D;&quot;p-button-text&quot;&gt;&lt;/button&gt;
    &lt;/ng-template&gt;
  &lt;/p-dialog&gt;
&lt;/div&gt;
</code></pre>
    </div>

    <div class="tab-pane fade " id="styleData">
                <p class="comment">
                    <code>./app-store-editor-document.component.scss</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">:host ::ng-deep {
  display: flex;
  justify-content: space-between;

  .left {
    padding: 2rem;
  }

  .content {
    padding: 2rem;
  }

  .p-dialog-draggable .p-dialog-header {
    background-color: #006D50;
    height: 5vh;

    .p-dialog-header-icon {
      color: white;
    }
  }

  .p-dialog .p-dialog-footer button {
    background-color: #006D50;
    color: white;
    padding: 2px;
    background-color: #006D50;

    &amp;.cancel {
      background-color: #DBE5E1;
      border-color: #DBE5E1;
      color: #000;
    }
  }

  .p-dialog .p-dialog-content {
    margin-top: 1rem;
  }

  .p-checkbox {
    margin: 0.7rem;

    .p-checkbox-box.p-highlight {
      border-color: #006D50;
      background: #006D50;
    }
  }

  .grid-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 10px;
    justify-content: center;
    align-items: center;
    /* 根据需要调整九宫格的宽度 */
    margin: 0 auto;

    /* 居中显示九宫格 */
    img {
      width: 100%;
      height: 100%;
      display: block;
    }
  }

  .grid-item {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #f0f0f0;
    border: 1px solid #ccc;
    padding: 20px;
    font-size: 18px;

  }
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><div class="left">  <div class="flex flex-column gap-2">    <label i18n>app ID</label>    <input style="width: 20vw" pInputText id="appId" aria-describedby="username-help" [(ngModel)]="appStore().appId"      disabled />  </div>  <div class="flex flex-column gap-2" style="margin-top: 1.5rem;">    <label i18n>programing language</label>    <p-dropdown [style]="{width: \'20vw\'}" id="program" aria-describedby="username-help" [(ngModel)]="appStore().program"      [options]="programs" />  </div>  <div class="flex flex-column gap-2" style="margin-top: 1.5rem;">    <label i18n>app version</label>    <input style="width: 20vw;" pInputText id="versionNo" aria-describedby="username-help"      [(ngModel)]="appStore().versionNo" />  </div></div><div class="content">  <div class="flex flex-column gap-2">    <label i18n>application</label>    <input style="width: 40vw;" pInputText id="appName" aria-describedby="username-help"      [(ngModel)]="appStore().appName" />  </div>  <div class="flex flex-column gap-2" style="margin-top: 1.5rem;">    <label i18n>url</label>    <input style="width: 40vw;" pInputText id="appUrl" aria-describedby="username-help"      [(ngModel)]="appStore().appUrl" />  </div>  <div class="flex flex-column gap-2" style="margin-top: 1.5rem;">    <label i18n>mantainer</label>    <div>      <p-dropdown [style]="{width: \'20vw\'}" id="systemUser" aria-describedby="username-help"        [(ngModel)]="appStore().systemUser" [options]="systemUsers"></p-dropdown>      <p-triStateCheckbox [(ngModel)]="appStore().isAuth" inputId="tricheckbox"></p-triStateCheckbox>      <span i18n>need authorized</span>    </div>  </div></div><div class="right" style="margin-top: 1rem;">  <img (click)="onIconClick()" [src]="appStore().icon" [style]="{ width: \'20vw\'}">  <p-dialog header="Header" [(visible)]="dialogVisible" [style]="dialogStyle">    <ng-template pTemplate="header">      <span class="text-xl font-bold"></span>    </ng-template>    <div class="grid-container">      <ng-container class="grid-item" *ngFor="let imagePath of imagePaths">        <img [src]="imagePath" (click)="onIconSelect(imagePath)">      </ng-container>    </div>    <ng-template pTemplate="footer">      <p-divider></p-divider>      <button pButton pRipple class="cancel" (click)="onCancelClick()" i18n-label label="cancel"></button>      <button pButton pRipple (click)="onOkClick()" i18n-label label="ok" class="p-button-text"></button>    </ng-template>  </p-dialog></div></div>'
    var COMPONENTS = [{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'AppStoreDocumentComponent', 'selector': 'his-app-store-editor-document'},{'name': 'AppStoreEditorToolbarComponent', 'selector': 'his-app-store-editor-toolbar'},{'name': 'AppStoreListComponent', 'selector': 'his-app-store-editor-list'}];
    var DIRECTIVES = [];
    var ACTUAL_COMPONENT = {'name': 'AppStoreDocumentComponent'};
</script>
<script src="../js/tree.js"></script>

















                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> results matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

          <label class="dark-mode-switch">
               <input type="checkbox">
               <span class="slider">
                    <svg class="slider-icon" viewBox="0 0 24 24" fill="none" height="20" stroke="#000" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" width="20" xmlns="http://www.w3.org/2000/svg">
                    <path d="M21 12.79A9 9 0 1111.21 3 7 7 0 0021 12.79z"></path>
                    </svg>
               </span>
          </label>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'AppStoreDocumentComponent.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>

       <script src="../js/menu-wc.js" defer></script>
       <script nomodule src="../js/menu-wc_es5.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
